NX Open C++ Reference Guide
|
Represents the path the bead shape will be swept along. More...
Public Types | |
enum | OffsetMethodType { OffsetMethodTypeInFace, OffsetMethodTypeCenterline } |
Settings to indicate the desired offset method. More... | |
Public Member Functions | |
bool | CreateEndToStart () |
Returns the indication if the sweep should be created from the edge location to the start location. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EndPath () |
Returns the location at which to end the sweep of the bead shape. | |
NXOpen::Expression * | OffsetAlongNormal () |
Returns the offset along normal Created in NX7.5.0. | |
NXOpen::Expression * | OffsetInFace () |
Returns the expression containing the distance to offset the path normal to the face. | |
NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType | OffsetMethod () |
Returns the desired path offset method. | |
NXOpen::Section * | PathSection () |
Returns the section defining the path. | |
bool | ReverseOffsetDirection () |
Returns the reverse the direction to offset the path section. | |
void | SetCreateEndToStart (bool createEndToStart) |
Sets the indication if the sweep should be created from the edge location to the start location. | |
void | SetOffsetMethod (NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType offsetMethod) |
Sets the desired path offset method. | |
void | SetReverseOffsetDirection (bool reverseOffsetDirection) |
Sets the reverse the direction to offset the path section. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartPath () |
Returns the location at which to start the sweep of the bead shape. | |
void | UpdatePath (bool *pointFound, NXOpen::Point3d *evaluationPoint, NXOpen::Vector3d *pathTangent, NXOpen::Vector3d *faceNormalWithFin, NXOpen::Vector3d *faceNormalOppositeFin) |
Computes the preview path, and evaluation information for indicating desired face side of the preview path. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the path the bead shape will be swept along.
To create a new instance of this class, use Weld::WeldBeadBuilder::NewPath
Created in NX7.5.0.
bool NXOpen::Weld::WeldBeadPathBuilder::CreateEndToStart | ( | ) |
Returns the indication if the sweep should be created from the edge location to the start location.
True indicates the sweep will be created from the end to the start location of the path, false indicates the sweep will be from the start to the end location of the path. This option is only used if the path section is closed.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldBeadPathBuilder::EndPath | ( | ) |
Returns the location at which to end the sweep of the bead shape.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::WeldBeadPathBuilder::OffsetAlongNormal | ( | ) |
Returns the offset along normal
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::WeldBeadPathBuilder::OffsetInFace | ( | ) |
Returns the expression containing the distance to offset the path normal to the face.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType NXOpen::Weld::WeldBeadPathBuilder::OffsetMethod | ( | ) |
Returns the desired path offset method.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::WeldBeadPathBuilder::PathSection | ( | ) |
Returns the section defining the path.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Weld::WeldBeadPathBuilder::ReverseOffsetDirection | ( | ) |
Returns the reverse the direction to offset the path section.
The update path method provides the information for the default directions.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldBeadPathBuilder::SetCreateEndToStart | ( | bool | createEndToStart | ) |
Sets the indication if the sweep should be created from the edge location to the start location.
True indicates the sweep will be created from the end to the start location of the path, false indicates the sweep will be from the start to the end location of the path. This option is only used if the path section is closed.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
createEndToStart | createendtostart |
void NXOpen::Weld::WeldBeadPathBuilder::SetOffsetMethod | ( | NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType | offsetMethod | ) |
Sets the desired path offset method.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
offsetMethod | offsetmethod |
void NXOpen::Weld::WeldBeadPathBuilder::SetReverseOffsetDirection | ( | bool | reverseOffsetDirection | ) |
Sets the reverse the direction to offset the path section.
The update path method provides the information for the default directions.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
reverseOffsetDirection | reverseoffsetdirection |
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldBeadPathBuilder::StartPath | ( | ) |
Returns the location at which to start the sweep of the bead shape.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldBeadPathBuilder::UpdatePath | ( | bool * | pointFound, |
NXOpen::Point3d * | evaluationPoint, | ||
NXOpen::Vector3d * | pathTangent, | ||
NXOpen::Vector3d * | faceNormalWithFin, | ||
NXOpen::Vector3d * | faceNormalOppositeFin | ||
) |
Computes the preview path, and evaluation information for indicating desired face side of the preview path.
Created in NX7.5.0.
License requirements : None
pointFound | Point and evaluation results are valid |
evaluationPoint | Point that reference vectors are computed at |
pathTangent | Tangent to path at evaluationPoint |
faceNormalWithFin | Normal if path is in direction of parasolid fin |
faceNormalOppositeFin | Normal if path is opposite direction of parasolid fin. |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.